Name: installer-ltsp-school
Version: 0.4
Release: alt5.4.S40.0

Summary: Terminal installer
License: GPL
Group: System/Configuration/Other

Packager: Michael Shigorin <mike@altlinux.org>
Source: %name-%version.tar

BuildRequires: alterator rpm-devel

%description
%summary

%package stage2
Summary: Terminal installer 2nd stage
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release

Requires: installer-stage2 >= 0.2-alt1
Requires: installer-feature-pxeboot-stage2
Requires: installer-feature-hwtweaks-stage2
Requires: installer-feature-desktop-disable-mktemp-stage2
Requires: installer-feature-desktop-disable-remote-stage2
Requires: installer-feature-server-raid-bighome-stage2
Requires: installer-feature-server-raid-fixup-stage2
Requires: installer-feature-vm-lucky-stage2
Requires: installer-feature-ltsp-stage2

Requires: alterator-help
Requires: alterator-notes
Requires: alterator-tzone openntpd
Requires: alterator-datetime
Requires: alterator-vm
Requires: alterator-sysconfig

Requires: x-cursor-theme-jimmac

%description stage2
Terminal installer 2nd stage

%package stage3
Summary: Terminal installer 3rd stage
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: installer-stage3 >= 0.2-alt1
Requires: alterator-help
Requires: alterator-lilo
Requires: alterator-users
Requires: alterator-pkg
Requires: alterator-net-eth dhcpcd
Requires: alterator-net-general
Requires: alterator-x11

%description stage3
Terminal installer 3rd stage

%prep
%setup

%install
%makeinstall
mkdir -p  %buildroot%_datadir/alterator

%find_lang %name

%files -f %name.lang
%_datadir/install2/help/*

%files stage2
%_datadir/install2/preinstall.d/*
%_datadir/install2/postinstall.d/*
%_datadir/install2/installer-steps
%_datadir/install2/steps/*

%files stage3
%_datadir/alterator/ui/*/*

# TODO:
# - figure out why help gets installed but unpackaged

%changelog
* Mon May 26 2008 Andrey Cherepanov <cas@altlinux.ru> 0.4-alt5.4.S40.0
- backport for School Branch

* Mon May 26 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt5.4
- fixed ff homepage hook (merged from installer-junior-0.4-alt8)

* Wed Apr 23 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt5.3
- revert convenient upstream change to remove alterator-net-eth
  and alterator-net-general (we use them, not alterator-net-junior)

* Tue Apr 22 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt5.2
- alterator-notes actually used instead of alterator-license

* Mon Apr 21 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt5.1
- alterator-notes used instead of alterator-license

* Thu Apr 10 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.15
- should be officially fixed
- drop what should comprise installer-feature-desktop-other-fs
  (we're a server, after all!)

* Thu Apr 10 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.14
- employ installer-feature-server-raid-fixup

* Thu Apr 10 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.13
- officially broken wrt raid install, fixing...

* Thu Apr 10 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.12
- employ installer-feature-ltsp
- fix previous changelog entry

* Thu Apr 10 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.11
- employ:
  + installer-feature-desktop-disable-remote
  + installer-feature-server-raid-home+
  + installer-feature-vm-lucky

* Tue Apr 08 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.10
- employ installer-feature-desktop-disable-mktemp

* Tue Apr 08 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.9
- set up eth0 as default thin client LAN interface, not eth1;
  rationale (thanks to led@):
  + it has more chances to be there
  + due to onboard interfaces usually showing up first
    (and being GigE these days), it also has more chances
    for nicer throughput (incl. bus I/O)
- bind eth0 by MAC address (in /etc/iftab)

* Tue Apr 08 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.8
- fixed mdraid records in /etc/fstab in case of software raid setup
  (hopefully; thanks sbolshakov@ for a hint)

* Wed Mar 12 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.7
- removed 09-xfonts.sh (spoils local display startup, also removed
  in Junior AFAIH)

* Wed Mar 12 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.6
- drop pxe, hw.d hooks and hw.d/ accordingly
- require installer-feature-{pxe,hwtweaks}

* Tue Feb 12 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.5
- added hooks from installer-junior-0.4-alt6 (school branch):
  04-lazarus.sh, 09-xfonts.sh (both font-related)

* Tue Feb 05 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.4
- remove alterator-wizardface too (branch deps changed)

* Mon Feb 04 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.3
- check for freshclam configuration existance before substing it

* Mon Jan 28 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.2
- use thin client flavour with patches against nfs swap deadlocks
  (kernel-image-led-tc, should be available in RPMS.disk)

* Wed Jan 23 2008 Michael Shigorin <mike@altlinux.org> 0.4-alt4.1
- rebased to/merged with installer-junior 0.4-alt4

* Fri Dec 14 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.5.5
- pulled postinstall.d/05-setup-services from installer-desktop
  so that clamav doesn't try to start by default

* Fri Dec 14 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.5.4
- fixed preinstall scripts to be more failsafe

* Fri Dec 14 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.5.3
- renamed to installer-ltsp-school

* Thu Dec 13 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.5.2
- just do 8Gb / in default disk layout, is it a server or not? :]

* Tue Dec 11 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.5.1
- merged installer-desktop-0.1-alt2.5
- fixed multi-disk side effect on LTSP chroot build

* Fri Nov 30 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.5
- added list of groups for first user
- added multydisc install support

* Fri Nov 30 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.4.6
- /var/lib/apt/lists/ contains wrong files after l-b-c, rinse and wash it

* Fri Nov 30 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.4.5
- purge apt cache after building ltsp chroot so alterator-pkg works
- re-enable pkg step

* Thu Nov 29 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.4.4
- temporarily remove r1000 from default kernel module package
  list in default ltsp-build-client.conf (would blow up that
  since r1000 isn't available for 2.6.18-std-smp-alt9 right now)

* Thu Nov 29 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.4.3
- removed pkg step, so far it's crashing on me

* Thu Nov 29 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.4.2
- re-added ltsp-specific hooks from attempt #2
- removed hotplug hook

* Wed Nov 28 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.4.1
- forked off ltsp installer, 3rd attempt

* Wed Nov 28 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.4
- fixed 60-*profile* 

* Mon Nov 12 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.3
- added vm-profile customization 

* Thu Nov 08 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.2
- added hook for inserting resume= into lilo.conf. template 

* Wed Oct 31 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.1
- changed alterator-apt to alterator-pkg 

* Tue Oct 30 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- fix firefox homepage setup
- add russian manpages charset setup

* Wed Oct 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial build
